Bug 1215342 - Review Request: compat-libcdio-paranoia1 - Compat package with libcdio-paranoia libraries
Summary: Review Request: compat-libcdio-paranoia1 - Compat package with libcdio-parano...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 16:17 UTC by Kalev Lember
Modified: 2015-04-28 15:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 15:22:21 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1215341 medium CLOSED Review Request: compat-libcdio15 - Compat package with libcdio libraries 2020-10-14 00:28:05 UTC

Internal Links: 1215341

Description Kalev Lember 2015-04-25 16:17:21 UTC
Spec URL: https://kalev.fedorapeople.org/compat-libcdio-paranoia1.spec
SRPM URL: https://kalev.fedorapeople.org/compat-libcdio-paranoia1-10.2+0.90+1-1.fc21.src.rpm
Description:
This is an ABI compatibility package in order to make some 3rd party codecs that link against libcdio-paranoia work on F22. 3rd party repos that ship them have been lagging behind and currently only ship binaries built for F21; this package here provides required ABI compatibility in order to make them work in F22 as well.

The intention is to retire and obsolete this package as soon as the 3rd party repos have caught up with F22.

Fedora Account System Username: kalev

Comment 1 Kalev Lember 2015-04-25 16:42:28 UTC
For reference, here's the diff to the F21 libcdio-paranoia package: http://paste.fedoraproject.org/215478/

I'd like to keep the diff to the original package down to the minimum in order to be able to easily share fixes when needed, so if possible please don't pick on the indentation and things like that that are also present in the original F21 package.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=9567725

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-04-25 22:17:46 UTC
Package looks fine at first blush. One basic question before going any futher: are there any special guidelines for compat packages? A quick google search only turns up an old post from Toshio [1].

[1] https://lists.fedoraproject.org/pipermail/packaging/2009-August/006431.html

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-04-25 22:47:50 UTC
fedora-review has nothing interesting to say, I'll not paste the full output here, except for rpmlint.

Rpmlint
-------
Checking: compat-libcdio-paranoia1-10.2+0.90+1-1.fc23.x86_64.rpm
          compat-libcdio-paranoia1-10.2+0.90+1-1.fc23.src.rpm
compat-libcdio-paranoia1.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Requires
--------
compat-libcdio-paranoia1 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcdio.so.16()(64bit)
    libcdio.so.16(CDIO_16)(64bit)
    libcdio_cdda.so.1()(64bit)
    libcdio_cdda.so.1(CDIO_CDDA_1)(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

Provides
--------
compat-libcdio-paranoia1:
    compat-libcdio-paranoia1
    compat-libcdio-paranoia1(x86-64)
    libcdio_cdda.so.1()(64bit)
    libcdio_cdda.so.1(CDIO_CDDA_1)(64bit)
    libcdio_paranoia.so.1()(64bit)
    libcdio_paranoia.so.1(CDIO_PARANOIA_1)(64bit)

Comment 4 Kalev Lember 2015-04-25 23:10:36 UTC
Thanks Zbigniew!

I don't know of any explicitly written down guidelines and Toshio's post is probably the best we have.

The rule of thumb that I've always tried to follow is to use the compat- prefix when I need ABI compatibility, but don't want newly built programs to be able to link with the old ABI. This is the case here.

If I'd additionally want API compatibility and to be able to link against the library, then I wouldn't use compat- and would go with a regular parallel installable libfoo1{,-devel}, libfoo2{,-devel} naming scheme instead.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-04-26 00:00:32 UTC
Yeah, I don't see anything else on this subject in the guidelines. Package builds fine and seems to provide the old .so version correctly. Let's hope we don't need it for too long.

Package is APPROVED.

Comment 6 Kalev Lember 2015-04-26 00:13:21 UTC
Thanks!

New Package SCM Request
=======================
Package Name: compat-libcdio-paranoia1
Short Description: Compat package with libcdio-paranoia libraries
Upstream URL: http://www.gnu.org/software/libcdio/
Owners: kalev
Branches: f22
InitialCC:

Comment 7 Gwyn Ciesla 2015-04-26 15:57:51 UTC
Git done (by process-git-requests).

Comment 8 Kalev Lember 2015-04-28 15:22:21 UTC
Package imported and built.


Note You need to log in before you can comment on or make changes to this bug.